### Signal

# GnomeAutoar Compressor::error

#### Declaration

    void
    error (
      AutoarCompressor* self,
      GError* error,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when error occurs and all jobs should be terminated. Possible error domains are `AUTOAR_COMPRESSOR_ERROR`, `G_IO_ERROR`, and `AUTOAR_LIBARCHIVE_ERROR`, which represent error occurs in `AutoarCompressor`, GIO, and libarchive, respectively. The `GError` is owned by `AutoarCompressor` and should not be freed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`error`

  Type: `GError`

  The `GError`.

  The data is owned by the caller of the function.